Skip to main content
POST
/
accounts
/
{acc_id}
/
consent
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/consent \
  -X POST \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "withdraw",
    "reason": "holder_withdrew_consent"
}'
{
  "id": "acc_JmfdTzg9hp3QQ",
  "holder_id": "ent_4hBGhBAmgBDWt",
  "status": "disabled",
  "type": null,
  "ach": null,
  "liability": null,
  "capabilities": [],
  "available_capabilities": [],
  "error": {
    "type": "ACCOUNT_DISABLED",
    "sub_type": "ACCOUNT_CONSENT_WITHDRAWN",
    "code": 11004,
    "message": "Account was disabled due to consent withdrawal."
  },
  "metadata": null,
  "created_at": "2024-04-01T18:48:39.634Z",
  "updated_at": "2024-04-01T18:48:39.695Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Withdraws an Account’s consent. This endpoint deletes information on the account, sets its status to disabled, and removes all active Products or Subscriptions for the account.

Path Parameters

Body

Returns

Returns the Account with status set to disabled.
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/consent \
  -X POST \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "withdraw",
    "reason": "holder_withdrew_consent"
}'
{
  "id": "acc_JmfdTzg9hp3QQ",
  "holder_id": "ent_4hBGhBAmgBDWt",
  "status": "disabled",
  "type": null,
  "ach": null,
  "liability": null,
  "capabilities": [],
  "available_capabilities": [],
  "error": {
    "type": "ACCOUNT_DISABLED",
    "sub_type": "ACCOUNT_CONSENT_WITHDRAWN",
    "code": 11004,
    "message": "Account was disabled due to consent withdrawal."
  },
  "metadata": null,
  "created_at": "2024-04-01T18:48:39.634Z",
  "updated_at": "2024-04-01T18:48:39.695Z"
}